org.deidentifier.arx.aggregates.quality

## Class QualityConfigurationRangeParser

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityConfigurationRangeParser

    public abstract class QualityConfigurationRangeParser
    extends java.lang.Object

Parser for ranges

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityConfigurationRangeParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static QualityConfigurationRangeParser` `getParser(org.deidentifier.arx.aggregates.quality.QualityConfigurationValueParser<?> valueParser, java.util.List<java.lang.String> values)` Tries to find a matching parser

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityConfigurationRangeParser

    public QualityConfigurationRangeParser()

### Method Detail

#### getParser

    public static final QualityConfigurationRangeParser getParser(org.deidentifier.arx.aggregates.quality.QualityConfigurationValueParser<?> valueParser,
                                                                  java.util.List<java.lang.String> values)

Tries to find a matching parser

Parameters:
  `valueParser` -
  `values` -
Returns: